org.springframework.jdbc.datasource.embedded

## Interface EmbeddedDatabase

- All Superinterfaces:
    CommonDataSource, DataSource, Wrapper

      public interface EmbeddedDatabase
      extends DataSource

  A handle to an EmbeddedDatabase instance. Is a `DataSource`. Adds a shutdown operation so the embedded database instance can be shutdown.
  Since:
    3.0
  Author:
    Keith Donald

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shutdown()` Shutdown this embedded database.

    - ### Methods inherited from interface javax.sql.DataSource

      `getConnection, getConnection`

    - ### Methods inherited from interface javax.sql.CommonDataSource

      `getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Method Detail

    - #### shutdown

          void shutdown()

      Shutdown this embedded database.